|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWSEmbedWidget Class Reference
[QtGui module]

The QWSEmbedWidget class enabels embedded top-level widgets in Qtopia Core. More...

     #include <QWSEmbedWidget>

Inherits QWidget.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QWSEmbedWidget ( WId id, QWidget * parent = 0 )
- ~QWSEmbedWidget ()

- 201 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 56 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QWSEmbedWidget class enabels embedded top-level widgets in Qtopia Core.

Note that this class is only available in Qtopia Core.

QWSEmbedWidget inherits QWidget and acts as any other widget, but in addition it is capable of embedding another top-level widget.

An example of use is when painting directly onto the screen using the QDirectPainter class. Then the reserved region can be embedded into an instance of the QWSEmbedWidget class, providing for example event handling and size policies for the reserved region.

All that is required to embed a top-level widget is its window ID.

See also Qtopia Core Architecture.

## Member Function Documentation

### QWSEmbedWidget::QWSEmbedWidget ( WId id, QWidget * parent = 0 )

Constructs a widget with the given parent, embedding the widget identified by the given window id.

### QWSEmbedWidget::~QWSEmbedWidget ()

Destroys this widget.